import '@material/mwc-icon-button';
import '@material/mwc-button';
import { LitElement } from 'lit';
declare const HomePage_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare class HomePage extends HomePage_base {
    static styles: import("lit").CSSResult[];
    tagline?: string;
    explanation1?: string;
    explanation2?: string;
    private _applicationMeta?;
    render(): import("lit-html").TemplateResult<1>;
    firstInput: HTMLInputElement;
    firstUpdated(): void;
    get applicationMeta(): {
        icon?: string;
        title?: string;
        description?: string;
    };
}
export {};
